From fced314febc2983dc4ad7a0694bdb70c5cafcd5b Mon Sep 17 00:00:00 2001
From: Toralf Niebuhr <gmthor85@aim.com>
Date: Sat, 27 Feb 2010 20:37:47 +0100
Subject: [PATCH 3/5] removed signedness warnings

---
 modules/video_filter/swscale.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/video_filter/swscale.c b/modules/video_filter/swscale.c
index 18268a8..a35eaaa 100644
--- a/modules/video_filter/swscale.c
+++ b/modules/video_filter/swscale.c
@@ -514,9 +514,9 @@ static void CopyPad( picture_t *p_dst, const picture_t *p_src )
         const plane_t *s = &p_src->p[n];
         plane_t *d = &p_dst->p[n];
 
-        for( int y = 0; y < s->i_lines; y++ )
+        for( unsigned y = 0; y < s->i_lines; y++ )
         {
-            for( int x = s->i_visible_pitch; x < d->i_visible_pitch; x += s->i_pixel_pitch )
+            for( unsigned x = s->i_visible_pitch; x < d->i_visible_pitch; x += s->i_pixel_pitch )
                 memcpy( &d->p_pixels[y*d->i_pitch + x], &d->p_pixels[y*d->i_pitch + s->i_visible_pitch - s->i_pixel_pitch], s->i_pixel_pitch );
         }
     }
-- 
1.6.6.1

